Debian Bug report logs - #612924
texlive-base: fails to upgrade: cannot stat `/usr/share/texlive-base/pdftexconfig.tex': No such file or directory

version graph

Package: texlive-base; Maintainer for texlive-base is Debian TeX Maintainers <debian-tex-maint@lists.debian.org>; Source for texlive-base is src:texlive-base.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Fri, 11 Feb 2011 15:45:01 UTC

Severity: serious

Found in version texlive-base/2009-11

Fixed in versions texlive-base/2009-15, texlive-base/2009-11+squeeze1

Done: Frank Küster <frank@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Fri, 11 Feb 2011 15:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
New Bug report received and forwarded. Copy sent to jwilk@debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Fri, 11 Feb 2011 15:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: texlive-base: fails to upgrade: cannot stat `/usr/share/texlive-base/pdftexconfig.tex': No such file or directory
Date: Fri, 11 Feb 2011 16:41:37 +0100
Package: texlive-base
Version: 2009-11
Severity: important

Upgrade of texlive-base from 2007.dfsg.2-1~lenny2 to 2009-11 failed:

| Preparing to replace texlive-base 2007.dfsg.2-1~lenny2 (using .../texlive-base_2009-11_all.deb) ...
| Reinstalling deleted mandatory conffile pdftexconfig.tex
| cp: cannot stat `/usr/share/texlive-base/pdftexconfig.tex': No such file or directory
| dpkg: error processing /var/cache/apt/archives/texlive-base_2009-11_all.deb (--unpack):
|  subprocess new pre-installation script returned error exit status 1

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Sat, 12 Feb 2011 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Elie Mamane <lionel@mamane.lu>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sat, 12 Feb 2011 08:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 612924@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lionel@mamane.lu>
To: 612924@bugs.debian.org
Subject: bug#612924: texlive-base: fails to upgrade: cannot stat `/usr/share/texlive-base/pdftexconfig.tex': No such file or directory
Date: Sat, 12 Feb 2011 09:49:09 +0100
Until that bug gets fixed, to get unstucked one can do:

cd / && ar p /var/cache/apt/archives/texlive-base_2009-11_all.deb data.tar.gz | sudo tar zx ./usr/share/texlive-base/pdftexconfig.tex

Worked for me, at least.

-- 
Lionel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Sat, 12 Feb 2011 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sat, 12 Feb 2011 13:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 612924@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Lionel Elie Mamane <lionel@mamane.lu>, 612924@bugs.debian.org
Subject: Re: Bug#612924: bug#612924: texlive-base: fails to upgrade: cannot stat `/usr/share/texlive-base/pdftexconfig.tex': No such file or directory
Date: Sat, 12 Feb 2011 22:37:35 +0900
On Sa, 12 Feb 2011, Lionel Elie Mamane wrote:
> Until that bug gets fixed, to get unstucked one can do:
> 
> cd / && ar p /var/cache/apt/archives/texlive-base_2009-11_all.deb data.tar.gz | sudo tar zx ./usr/share/texlive-base/pdftexconfig.tex


You have *all* kind of very weird problems on your computer, see your
other bug concerning luatex.

Are you sure that your hard disk (the one of your computer) is in good
state and that the file system is correct etc etc???

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
Three things are certain:
Death, taxes and lost data.
Guess which has occurred.
                       --- Windows Error Haiku




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Sun, 13 Feb 2011 11:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Elie Mamane <lionel@mamane.lu>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sun, 13 Feb 2011 11:48:05 GMT) Full text and rfc822 format available.

Message #20 received at 612924@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lionel@mamane.lu>
To: Norbert Preining <preining@logic.at>
Cc: 612924@bugs.debian.org
Subject: Re: Bug#612924: texlive-base: fails to upgrade: cannot stat `/usr/share/texlive-base/pdftexconfig.tex': No such file or directory
Date: Sun, 13 Feb 2011 12:46:14 +0100
On Sat, Feb 12, 2011 at 10:37:35PM +0900, Norbert Preining wrote:
> On Sa, 12 Feb 2011, Lionel Elie Mamane wrote:

>> Until that bug gets fixed, to get unstucked one can do:

>> cd / && ar p /var/cache/apt/archives/texlive-base_2009-11_all.deb data.tar.gz | sudo tar zx ./usr/share/texlive-base/pdftexconfig.tex

> You have *all* kind of very weird problems on your computer, see your
> other bug concerning luatex.

> Are you sure that your hard disk (the one of your computer) is in good
> state and that the file system is correct etc etc???

Well, for this bug, I'm not the only one to get it, as I'm not the
original reporter. As to state of my hard disk and file system, for
what it is worth, when I rebooted to use the new squeeze kernel, fsck
checked the filesystem (because it had not been checked in
200-and-some days), and it found no error.

-- 
Lionel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Sun, 13 Feb 2011 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sun, 13 Feb 2011 14:36:03 GMT) Full text and rfc822 format available.

Message #25 received at submit@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Jakub Wilk <jwilk@debian.org>
Cc: 612924@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#612924: texlive-base: fails to upgrade: cannot stat `/usr/share/texlive-base/pdftexconfig.tex': No such file or directory
Date: Sun, 13 Feb 2011 15:33:38 +0100
Jakub Wilk <jwilk@debian.org> wrote:

> Package: texlive-base
> Version: 2009-11
> Severity: important
>
> Upgrade of texlive-base from 2007.dfsg.2-1~lenny2 to 2009-11 failed:
>
> | Preparing to replace texlive-base 2007.dfsg.2-1~lenny2 (using .../texlive-base_2009-11_all.deb) ...
> | Reinstalling deleted mandatory conffile pdftexconfig.tex
> | cp: cannot stat `/usr/share/texlive-base/pdftexconfig.tex': No such file or directory
> | dpkg: error processing /var/cache/apt/archives/texlive-base_2009-11_all.deb (--unpack):
> |  subprocess new pre-installation script returned error exit status 1

The preinst script looks for that file in the location where it will be
*after* unpacking texlive-base_2009-11.  At the point in time where it
is run, however, it is in texlive-bin.

A quick solution on the affected systems is to 

ln -s ../texlive-bin/pdftexconfig.tex /usr/share/texlive-base/

As package maintainers, we need to decide whether a fix for a bug that
only ever existed in unstable during lenny development and that is not
working properly upon lenny-->squeeze upgrade is worth being fixed
through stable-proposed-updates.

Regards, Frank

-- 
Dr. Frank Küster
VCD Miltenberg, ADFC Aschaffenburg-Miltenberg
B90/Grüne KV Miltenberg
Debian Developer (TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Sun, 13 Feb 2011 14:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sun, 13 Feb 2011 14:36:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Tue, 15 Feb 2011 13:18:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Tue, 15 Feb 2011 13:18:10 GMT) Full text and rfc822 format available.

Message #35 received at 612924@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Frank Küster <frank@debian.org>, 612924@bugs.debian.org
Cc: Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#612924: texlive-base: fails to upgrade: cannot stat `/usr/share/texlive-base/pdftexconfig.tex': No such file or directory
Date: Tue, 15 Feb 2011 22:15:32 +0900
On So, 13 Feb 2011, Frank Küster wrote:
> As package maintainers, we need to decide whether a fix for a bug that
> only ever existed in unstable during lenny development and that is not
> working properly upon lenny-->squeeze upgrade is worth being fixed
> through stable-proposed-updates.

No, we don't need a fix for that. People using sid are supposed to be
able to fix these things with some help.

We should thus close this bug.


Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
CLIXBY (adj.)
Politely rude. Briskly vague. Firmly uninformative.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Mon, 21 Feb 2011 09:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to robbe@orcus.priv.at (Robert Bihlmeyer):
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Mon, 21 Feb 2011 09:57:02 GMT) Full text and rfc822 format available.

Message #40 received at 612924@bugs.debian.org (full text, mbox):

From: robbe@orcus.priv.at (Robert Bihlmeyer)
To: 612924@bugs.debian.org
Subject: Re: Bug#612924: texlive-base: fails to upgrade: cannot stat `/usr/share/texlive-base/pdftexconfig.tex': No such file or directory
Date: Mon, 21 Feb 2011 10:44:19 +0100 (CET)
Hi,

> No, we don't need a fix for that. People using sid are supposed to be able
> to fix these things with some help.

I see this exact bug on a lenny->squeeze upgrade. The machine in question has
never used tex* packages from sid. Also happened a few weeks ago on another
machine on a lenny->squeeze (then still testing) upgrade.

-- 
Robbe




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Wed, 09 Mar 2011 02:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Witold Baryluk <baryluk@smp.if.uj.edu.pl>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Wed, 09 Mar 2011 02:18:03 GMT) Full text and rfc822 format available.

Message #45 received at 612924@bugs.debian.org (full text, mbox):

From: Witold Baryluk <baryluk@smp.if.uj.edu.pl>
To: 612924@bugs.debian.org
Subject: Re: Bug#612924: texlive-base: fails to upgrade: cannot stat `/usr/share/texlive-base/pdftexconfig.tex': No such file or directory
Date: Wed, 9 Mar 2011 03:15:33 +0100
[Message part 1 (text/plain, inline)]
Just hit this problem on lenny->squeeze upgrade on i386.

Regards,
Witek

-- 
Witold Baryluk
JID: witold.baryluk // jabster.pl
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Tue, 29 Mar 2011 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Tue, 29 Mar 2011 20:45:05 GMT) Full text and rfc822 format available.

Message #50 received at 612924@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: 612924@bugs.debian.org
Cc: 600012@bugs.debian.org, Hilmar Preusse <hille42@web.de>, Robert Bihlmeyer <robbe@orcus.priv.at>
Subject: Re: Bug#600012: texlive-base: Claims to recreate pdftexconfig.tex upon clean install
Date: Tue, 29 Mar 2011 22:39:03 +0200
Norbert Preining <preining@logic.at> wrote:

> On Do, 16 Dez 2010, Frank Küster wrote:
>> So there is no checking whether there is already an old version
>> installed.  Even in postinst, we have a 
>> 
>> case  "$1" in
>>   configure)
>> 
>> before the resurrect code.  We should at least have a check whether we
>> are uprgrading, and what the previous version was.
>> 
>> 
>> And remove the code as soon as squeeze is released...
>
> Frank, can you look into that, maybe?

First of all, the follow-up mail to my original bug report #60012 was
misdirected, it should have gone to #612924, which is about the RC issue
- mine is just cosmetics.

Then, if my above analysis was right, we should prepare a fix for
squeeze.  And hm, maybe, not remove the code in sid, but just comment it
out and watch what happens...


As for the question whether I'll look into it:  I cannot promise
anything at the moment.  This week, I "need to" co-found a local chapter
of the political party, and celebrate my birthday.  


Regards, Frank

-- 
Dr. Frank Küster
VCD Miltenberg, ADFC Aschaffenburg-Miltenberg
B90/Grüne KV Miltenberg
Debian Developer (TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Fri, 20 May 2011 12:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Fri, 20 May 2011 12:36:03 GMT) Full text and rfc822 format available.

Message #55 received at 612924@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: 600012-done@bugs.debian.org
Cc: 612924@bugs.debian.org, Hilmar Preusse <hille42@web.de>, Robert Bihlmeyer <robbe@orcus.priv.at>
Subject: Re: Bug#600012: texlive-base: Claims to recreate pdftexconfig.tex upon clean install
Date: Fri, 20 May 2011 14:35:10 +0200
Frank Küster <frank@debian.org> wrote:

> First of all, the follow-up mail to my original bug report #60012 was
> misdirected, 

and this bug seems to have been bogus from the beginning.  I have no
idea what I did back then, but I _cannot_ reproduce it in squeeze or
sid. There's also no indication in the code what could go wrong.
Therefore closing.

> Then, if my above analysis was right, we should prepare a fix for
> squeeze.  And hm, maybe, not remove the code in sid, but just comment it
> out and watch what happens...

The analysis was not right.  It's in the function resurrect_conffile_sid
that the commandline arguments to the preinst script are checked.  And
only upon upgrading it tries to do something.  However, there is a bug
(#612924), as discussed earlier:

$ loginlenny
...
# aptitude install texlive-base
...
# rm /etc/texmf/tex/generic/config/pdftexconfig.tex
# $edit /etc/apt/sources.list # to point to squeeze
# aptitude update
...
# aptitude safe-upgrade 2>&1 | tee s_upgrade.lg
...

gives

Preparing to replace texlive-base 2007.dfsg.2-1~lenny2 (using .../texlive-base_2009-11_all.deb) ...
Reinstalling deleted mandatory conffile pdftexconfig.tex
cp: cannot stat `/usr/share/texlive-base/pdftexconfig.tex': No such file or directory
dpkg: error processing /var/cache/apt/archives/texlive-base_2009-11_all.deb (--unpack):
 subprocess new pre-installation script returned error exit status 1
Preparing to replace texlive-doc-base 2007.dfsg.2-1 (using .../texlive-doc-base_2009-2_all.deb) ...
Unpacking replacement texlive-doc-base ...
dpkg: regarding .../texlive-common_2009-11_all.deb containing texlive-common:
 texlive-common conflicts with texlive-base (<< 2009-1)
  texlive-base (version 2007.dfsg.2-1~lenny2) is present and installed.
dpkg: error processing /var/cache/apt/archives/texlive-common_2009-11_all.deb (--unpack):
 conflicting packages - not installing texlive-common
dpkg: regarding .../tex-common_2.08_all.deb containing tex-common:
 tex-common conflicts with texlive-common (<< 2009)
  texlive-common (version 2007.dfsg.2-1~lenny2) is present and installed.
dpkg: error processing /var/cache/apt/archives/tex-common_2.08_all.deb (--unpack):
 conflicting packages - not installing tex-common

as previously described.  But the reason is not only that the template
file is in /usr/share/texlive-bin/, moreover: In many cases texlive-bin
is removed prior to installing texlive-base as a decision of aptitude's
conflict resolver.

That means we have no possibility to resurrect the file in preinst.
There's code to do it again in postinst anyway. 

So simply dropping that line would be the patch, I guess. I will test it
and ask release about a fix for stable.

Regards, Frank
-- 
Frank Küster
Vorstand B90/Grüne OV Miltenberg und Umgebung
VCD Miltenberg, ADFC Aschaffenburg-Miltenberg
Debian Developer (TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Fri, 20 May 2011 13:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Fri, 20 May 2011 13:33:06 GMT) Full text and rfc822 format available.

Message #60 received at 612924@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Debian Release Team <debian-release@lists.debian.org>
Cc: 612924@bugs.debian.org
Subject: [stable] Possible fix for possible RC bug
Date: Fri, 20 May 2011 15:33:54 +0200
Dear stable release managers,

we have a bug report against our package texlive-base in stable that
might be worth fixing in squeeze, or not.  Therefore I am asking your
opinion. 

There is buggy code in the preinst script that will fail each time it is
called, leading to the preinst failing, hence the upgrade of the TeX
system from anything older than stable to stable (or testing/sid, no
changes yet).  This means the bug is RC, and since it is easy to fix
(simply drop one line that calls the buggy code, because it is not in
fact needed) we are considering fixing it in stable.

However:

The buggy code is in a conditional, and it we are unsure how often it
will be triggered.  The bug was once intended to clean up after a really
bad brown paper bag bug in sid, during the lenny release cycle.  This
means that nowadays, no system should meet the conditional unless it
used sid at the time and has not been upgraded since then.  It should.

However, it doesn't.  At least we do get bug reports.  We got them when
lenny became stable, and again we got them when squeeze got stable.  And
of course all the time people claimed that they never used sid TeX
packages. See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=612924.
The last report was early in March

What do you think - should we prepare an upload to stable?

The patch would look like this:

# Cleanup after Bug #420390 for sid users
resurrect_conffile_sid /etc/texmf/metafont/misc/modes.mf texlive-base "$1" "$2"
-resurrect_conffile_sid /etc/texmf/tex/generic/config/pdftexconfig.tex texlive-base "$1" "$2"
+#resurrect_conffile_sid /etc/texmf/tex/generic/config/pdftexconfig.tex texlive-base "$1" "$2"

plus the usual changelog etc.

Regards, Frank
-- 
Frank Küster
Vorstand B90/Grüne OV Miltenberg und Umgebung
VCD Miltenberg, ADFC Aschaffenburg-Miltenberg
Debian Developer (TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Sun, 12 Feb 2012 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sun, 12 Feb 2012 16:18:03 GMT) Full text and rfc822 format available.

Message #65 received at 612924@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: 612924@bugs.debian.org
Subject: Re: Bug#612924: bug#612924: texlive-base: fails to upgrade: cannot stat `/usr/share/texlive-base/pdftexconfig.tex': No such file or directory
Date: Sun, 12 Feb 2012 17:16:04 +0100
Hi Norbert,

Norbert Preining wrote:
> On Sa, 12 Feb 2011, Lionel Elie Mamane wrote:
> > Until that bug gets fixed, to get unstucked one can do:
> > 
> > cd / && ar p /var/cache/apt/archives/texlive-base_2009-11_all.deb data.tar.gz | sudo tar zx ./usr/share/texlive-base/pdftexconfig.tex
> 
> You have *all* kind of very weird problems on your computer, see your
> other bug concerning luatex.

Please be aware, that not Lionel but Jakub was the initial reporter of
that bug.

And FWIW, I just ran into the very same bug and are very thankful for
Lionel's hint about how to get it fixed.

> Are you sure that your hard disk (the one of your computer) is in good
> state and that the file system is correct etc etc???

Yes, I am sure that the filesystem and the RAID and LVM below it are
fine on the system on which I ran into this issue.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Tue, 21 Feb 2012 09:32:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Tue, 21 Feb 2012 09:32:31 GMT) Full text and rfc822 format available.

Message #70 received at 612924@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Rogério Brito <rbrito@ime.usp.br>, 659907@bugs.debian.org, 612924@bugs.debian.org
Subject: Re: Bug#659907: texlive-binaries: fails to upgrade with jadetex installed
Date: Tue, 21 Feb 2012 10:20:36 +0100
On 20.02.12 Rogério Brito (rbrito@ime.usp.br) wrote:

Hi,

> Package: texlive-binaries
> Followup-For: Bug #659907
> 
> Hi there.
> 
> I'm also seeing something which looks like this bug, but I am not sure if
> the symptoms are just the same, with a different cause.
> 
This is probably #612924. For #659907 we still don't know the root
cause, b/c the submitter did not respond yet.

H.
-- 
sigmentation fault




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Tue, 28 Feb 2012 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Tue, 28 Feb 2012 17:48:03 GMT) Full text and rfc822 format available.

Message #75 received at 612924@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 612924@bugs.debian.org
Subject: texlive-base: fails to upgrade: 「cp: cannot stat `/usr/share/texlive-base/pdftexconfig.tex': No such file or directory」
Date: Tue, 28 Feb 2012 18:39:21 +0100 (CET)
Hi,

this error is hitting me on a regular upgrade from lenny
to squeeze. This is the first of many machines I will
need to upgrade this way. This may affect other FusionForge
or MediaWiki installations.

The workaround from Frank to run
ln -s ../texlive-bin/pdftexconfig.tex /usr/share/texlive-base/
works, but I’d rather have the upgrade not abort at all.

I am not using aptitude (in fact, I purged it) but:
# apt-get --purge dist-upgrade

Thanks in advance for fixing this in squeeze-p-u.

bye,
//mirabilos
-- 
tarent solutions GmbH
Rochusstraße 2-4, D-53123 Bonn • http://www.tarent.de/
Tel: +49 228 54881-393 • Fax: +49 228 54881-314
HRB AG Bonn 5168 • USt-ID (VAT): DE122264941
Geschäftsführer: Boris Esser, Elmar Geese




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Thu, 01 Mar 2012 21:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Thu, 01 Mar 2012 21:39:04 GMT) Full text and rfc822 format available.

Message #80 received at 612924@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Debian Release Team <debian-release@lists.debian.org>
Cc: 612924@bugs.debian.org, Thorsten Glaser <tg@mirbsd.de>
Subject: Re: [stable] Possible fix for possible RC bug
Date: Thu, 01 Mar 2012 22:39:58 +0100
Dear (stable) Release Managers,

nearly a year ago I asked about an update to stable, as copied below.
We never received an answer and forgot about it ourselves.  However, we
do keep getting bug reports about that issue.  

I'd be grateful if someone gave us a heads up:  Should we prepare an
upload with the line commented?

Regards, Frank

Frank Küster <frank@debian.org> wrote:

> Dear stable release managers,
>
> we have a bug report against our package texlive-base in stable that
> might be worth fixing in squeeze, or not.  Therefore I am asking your
> opinion. 
>
> There is buggy code in the preinst script that will fail each time it is
> called, leading to the preinst failing, hence the upgrade of the TeX
> system from anything older than stable to stable (or testing/sid, no
> changes yet).  This means the bug is RC, and since it is easy to fix
> (simply drop one line that calls the buggy code, because it is not in
> fact needed) we are considering fixing it in stable.
>
> However:
>
> The buggy code is in a conditional, and it we are unsure how often it
s/it//
> will be triggered.  The bug was once intended to clean up after a
s/bug/code/
> really
> bad brown paper bag bug in sid, during the lenny release cycle.  This
> means that nowadays, no system should meet the conditional unless it
> used sid at the time and has not been upgraded since then.  It should.
>
> However, it doesn't.  At least we do get bug reports.  We got them when
> lenny became stable, and again we got them when squeeze got stable.  And
> of course all the time people claimed that they never used sid TeX
> packages. See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=612924.
> The last report was early in March
>
> What do you think - should we prepare an upload to stable?
>
> The patch would look like this:
>
> # Cleanup after Bug #420390 for sid users
> resurrect_conffile_sid /etc/texmf/metafont/misc/modes.mf texlive-base "$1" "$2"
> -resurrect_conffile_sid /etc/texmf/tex/generic/config/pdftexconfig.tex texlive-base "$1" "$2"
> +#resurrect_conffile_sid /etc/texmf/tex/generic/config/pdftexconfig.tex texlive-base "$1" "$2"
>
> plus the usual changelog etc.
>
> Regards, Frank

-- 
Frank Küster
Sprecher B90/Grüne OV Miltenberg und Umgebung
VCD Miltenberg, ADFC Aschaffenburg-Miltenberg
Debian Developer (TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Wed, 21 Mar 2012 20:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Wed, 21 Mar 2012 20:03:03 GMT) Full text and rfc822 format available.

Message #85 received at 612924@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Frank Küster <frank@kuesterei.ch>
Cc: Debian Release Team <debian-release@lists.debian.org>, 612924@bugs.debian.org, Thorsten Glaser <tg@mirbsd.de>
Subject: Re: [stable] Possible fix for possible RC bug
Date: Wed, 21 Mar 2012 20:00:51 +0000
On Thu, 2012-03-01 at 22:39 +0100, Frank Küster wrote:
> nearly a year ago I asked about an update to stable, as copied below.
> We never received an answer and forgot about it ourselves.  However, we
> do keep getting bug reports about that issue.  

Apologies for the delay in getting back to you about this.

> I'd be grateful if someone gave us a heads up:  Should we prepare an
> upload with the line commented?

As far as I can tell, the line was commented out somewhere between the
version in squeeze and the package in wheezy/sid.  Assuming that's
correct, please:

- add an appropriate fixed version to #612924, which right now claims
not to be fixed in any version

- prepare an updated package and send a debdiff to -release for an ack

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Fri, 06 Apr 2012 20:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Fri, 06 Apr 2012 20:45:06 GMT) Full text and rfc822 format available.

Message #90 received at 612924@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Frank Küster <frank@kuesterei.ch>
Cc: Debian Release Team <debian-release@lists.debian.org>, 612924@bugs.debian.org, Thorsten Glaser <tg@mirbsd.de>
Subject: Re: [stable] Possible fix for possible RC bug
Date: Fri, 06 Apr 2012 21:41:52 +0100
On Wed, 2012-03-21 at 20:00 +0000, Adam D. Barratt wrote:
> As far as I can tell, the line was commented out somewhere between the
> version in squeeze and the package in wheezy/sid.  Assuming that's
> correct, please:
> 
> - add an appropriate fixed version to #612924, which right now claims
> not to be fixed in any version
> 
> - prepare an updated package and send a debdiff to -release for an ack

Ping?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Fri, 06 Apr 2012 22:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Fri, 06 Apr 2012 22:39:03 GMT) Full text and rfc822 format available.

Message #95 received at 612924@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Frank Küster <frank@kuesterei.ch>, Debian Release Team <debian-release@lists.debian.org>, 612924@bugs.debian.org
Subject: Re: [stable] Possible fix for possible RC bug
Date: Fri, 6 Apr 2012 22:23:35 +0000 (UTC)
Adam D. Barratt dixit:

>Ping?

buildd.d.o doesn’t have stable-security build logs, but the
package showed up in the meantime. It does not contain the
dir file, so I’m considering the issue solved (for now).

bye,
//mirabilos
-- 
  “Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool.”
						-- Edward Burr




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Fri, 06 Apr 2012 22:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Fri, 06 Apr 2012 22:42:02 GMT) Full text and rfc822 format available.

Message #100 received at 612924@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Thorsten Glaser <tg@mirbsd.de>
Cc: Frank Küster <frank@kuesterei.ch>, Debian Release Team <debian-release@lists.debian.org>, 612924@bugs.debian.org
Subject: Re: [stable] Possible fix for possible RC bug
Date: Fri, 06 Apr 2012 23:39:08 +0100
On Fri, 2012-04-06 at 22:23 +0000, Thorsten Glaser wrote:
> Adam D. Barratt dixit:
> 
> >Ping?
> 
> buildd.d.o doesn’t have stable-security build logs, but the
> package showed up in the meantime. It does not contain the
> dir file, so I’m considering the issue solved (for now).

Erm, no.  The mail you've replied to is about an issue in texlive, which
has nothing to do with either stable-security or info/dir.gz files.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Fri, 06 Apr 2012 23:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Fri, 06 Apr 2012 23:30:09 GMT) Full text and rfc822 format available.

Message #105 received at 612924@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Frank Küster <frank@kuesterei.ch>, Debian Release Team <debian-release@lists.debian.org>, 612924@bugs.debian.org
Subject: Re: [stable] Possible fix for possible RC bug
Date: Fri, 6 Apr 2012 23:16:38 +0000 (UTC)
Adam D. Barratt dixit:

>Erm, no.  The mail you've replied to is about an issue in texlive, which
>has nothing to do with either stable-security or info/dir.gz files.

Oops. Sorry. It went directly beneath the cvs one in my INBOX,
and so I was confused.

bye,
//mirabilos
-- 
  “Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool.”
						-- Edward Burr




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Mon, 16 Apr 2012 17:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Mon, 16 Apr 2012 17:45:06 GMT) Full text and rfc822 format available.

Message #110 received at 612924@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Debian Release Team <debian-release@lists.debian.org>, 612924@bugs.debian.org, Thorsten Glaser <tg@mirbsd.de>
Subject: Re: [stable] Possible fix for possible RC bug
Date: Mon, 16 Apr 2012 19:45:13 +0200
"Adam D. Barratt" <adam@adam-barratt.org.uk> wrote:

> On Wed, 2012-03-21 at 20:00 +0000, Adam D. Barratt wrote:
>> As far as I can tell, the line was commented out somewhere between the
>> version in squeeze and the package in wheezy/sid.  Assuming that's
>> correct, please:
>> 
>> - add an appropriate fixed version to #612924, which right now claims
>> not to be fixed in any version
>> 
>> - prepare an updated package and send a debdiff to -release for an ack
>
> Ping?

Pong.  I've got it on my radar, but wasn't able to spend any time on the
issue.  Maybe this week.

Regards, Frank

-- 
Frank Küster
Sprecher B90/Grüne OV Miltenberg und Umgebung
VCD Miltenberg, ADFC Aschaffenburg-Miltenberg
Debian Developer (TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Mon, 16 Apr 2012 18:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Mon, 16 Apr 2012 18:15:03 GMT) Full text and rfc822 format available.

Message #115 received at 612924@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Frank Küster <frank@kuesterei.ch>
Cc: Debian Release Team <debian-release@lists.debian.org>, 612924@bugs.debian.org, Thorsten Glaser <tg@mirbsd.de>
Subject: Re: [stable] Possible fix for possible RC bug
Date: Mon, 16 Apr 2012 19:10:07 +0100
On Mon, 2012-04-16 at 19:45 +0200, Frank Küster wrote:
> "Adam D. Barratt" <adam@adam-barratt.org.uk> wrote:
> 
> > On Wed, 2012-03-21 at 20:00 +0000, Adam D. Barratt wrote:
[...]
> >> - add an appropriate fixed version to #612924, which right now claims
> >> not to be fixed in any version
> >> 
> >> - prepare an updated package and send a debdiff to -release for an ack
> >
> > Ping?
> 
> Pong.  I've got it on my radar, but wasn't able to spend any time on the
> issue.  Maybe this week.

Okay; thanks for the update.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Sat, 21 Apr 2012 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to aktualizacja webmail <audiovisual.ipa@notredame.org.br>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sat, 21 Apr 2012 13:27:04 GMT) Full text and rfc822 format available.

Message #120 received at 612924@bugs.debian.org (full text, mbox):

From: aktualizacja webmail <audiovisual.ipa@notredame.org.br>
To: undisclosed-recipients:;
Subject: Skrzynka pocztowa przekroczyła ona ograniczyć Storage
Date: Sat, 21 Apr 2012 06:23:43 -0700
[Message part 1 (text/plain, inline)]
Skrzynka pocztowa przekroczyła ona ograniczyć składu, ustanowionego przez
administratora, a Ty nie będziesz mógłotrzymywać powiadomienia o nowych
maili Until You Ponowniezatwierdź ją. Do ponownej weryfikacji -> *Kliknij
tutaj:<https://docs.google.com/spreadsheet/viewform?formkey=dEJ1T1ZEekQtSGNGdVBOc1lJZ2FiYWc6MQ>
*
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Sat, 21 Apr 2012 20:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sat, 21 Apr 2012 20:30:03 GMT) Full text and rfc822 format available.

Message #125 received at 612924@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Debian Bug Tracking System <control@bugs.debian.org>
Cc: 612924@bugs.debian.org
Subject: Re: [stable] Possible fix for possible RC bug
Date: Sat, 21 Apr 2012 22:31:05 +0200
severity 612924 serious
fixed 612924 2009-15
stop 

-- 
Frank Küster
Sprecher B90/Grüne OV Miltenberg und Umgebung
VCD Miltenberg, ADFC Aschaffenburg-Miltenberg
Debian Developer (TeXLive)




Severity set to 'serious' from 'important' Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. (Sat, 21 Apr 2012 20:30:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions texlive-base/2009-15. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. (Sat, 21 Apr 2012 20:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Sat, 21 Apr 2012 21:36:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sat, 21 Apr 2012 21:36:20 GMT) Full text and rfc822 format available.

Message #134 received at 612924@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Debian Release Team <debian-release@lists.debian.org>, 612924@bugs.debian.org, Thorsten Glaser <tg@mirbsd.de>
Subject: Re: [stable] Possible fix for possible RC bug
Date: Sat, 21 Apr 2012 23:38:17 +0200
"Adam D. Barratt" <adam@adam-barratt.org.uk> wrote:

> On Mon, 2012-04-16 at 19:45 +0200, Frank Küster wrote:
>> "Adam D. Barratt" <adam@adam-barratt.org.uk> wrote:
>> 
>> > On Wed, 2012-03-21 at 20:00 +0000, Adam D. Barratt wrote:
> [...]
>> >> - add an appropriate fixed version to #612924, which right now claims
>> >> not to be fixed in any version
>> >> 
>> >> - prepare an updated package and send a debdiff to -release for an ack
>> >
>> > Ping?
>> 
>> Pong.  I've got it on my radar, but wasn't able to spend any time on the
>> issue.  Maybe this week.
>
> Okay; thanks for the update.

I've prepared the upload and uploaded to stable.  Debdiff below, please
tell me if somehting is missing (haven't done that for ages).

Regards, Frank

$ debdiff texlive-base_2009-1{1,2}.dsc 
diff -u texlive-base-2009/debian/changelog texlive-base-2009/debian/changelog
--- texlive-base-2009/debian/changelog
+++ texlive-base-2009/debian/changelog
@@ -1,3 +1,10 @@
+texlive-base (2009-12) stable; urgency=low
+
+  * Don't try to repair a missing pdftexconfig.tex in preinst - this is
+    done and can only be done in postinst  (Closes: #612924)
+
+ -- Frank KÃŒster <frank@debian.org>  Sat, 21 Apr 2012 22:27:54 +0200
+
 texlive-base (2009-11) unstable; urgency=low
 
   * avoid unneeded 10texlive-base.cnfpre-edit files in /etc/texmf/fmt.d,
diff -u texlive-base-2009/debian/texlive-base.preinst.post texlive-base-2009/debian/texlive-base.preinst.post
--- texlive-base-2009/debian/texlive-base.preinst.post
+++ texlive-base-2009/debian/texlive-base.preinst.post
@@ -32,7 +32,7 @@
 
 # Cleanup after Bug #420390 for sid users
 resurrect_conffile_sid /etc/texmf/metafont/misc/modes.mf texlive-base "$1" "$2"
-resurrect_conffile_sid /etc/texmf/tex/generic/config/pdftexconfig.tex texlive-base "$1" "$2"
+#resurrect_conffile_sid /etc/texmf/tex/generic/config/pdftexconfig.tex texlive-base "$1" "$2"
 # we do not ship config.ps currently, do we need to resurrect that one, too?
 #resurrect_conffile_sid /etc/texmf/dvips/config/config.ps texlive-bin "$1" "$2"


-- 
Frank Küster
Sprecher B90/Grüne OV Miltenberg und Umgebung
VCD Miltenberg, ADFC Aschaffenburg-Miltenberg
Debian Developer (TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Sun, 22 Apr 2012 07:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sun, 22 Apr 2012 07:12:03 GMT) Full text and rfc822 format available.

Message #139 received at 612924@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Frank Küster <frank@kuesterei.ch>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, Debian Release Team <debian-release@lists.debian.org>, 612924@bugs.debian.org, Thorsten Glaser <tg@mirbsd.de>
Subject: Re: [stable] Possible fix for possible RC bug
Date: Sun, 22 Apr 2012 09:09:23 +0200
[Message part 1 (text/plain, inline)]
On Sat, Apr 21, 2012 at 23:38:17 +0200, Frank Küster wrote:

> +texlive-base (2009-12) stable; urgency=low

You need to use a different version number, you already uploaded a
package with this version last August.  2009-11+squeeze1 would be the
usual pattern.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Sun, 22 Apr 2012 11:15:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sun, 22 Apr 2012 11:15:15 GMT) Full text and rfc822 format available.

Message #144 received at 612924@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Frank Küster <frank@kuesterei.ch>
Cc: Debian Release Team <debian-release@lists.debian.org>, 612924@bugs.debian.org, Thorsten Glaser <tg@mirbsd.de>
Subject: Re: [stable] Possible fix for possible RC bug
Date: Sun, 22 Apr 2012 12:11:38 +0100
On Sat, 2012-04-21 at 23:38 +0200, Frank Küster wrote:
> I've prepared the upload and uploaded to stable.  Debdiff below, please
> tell me if somehting is missing (haven't done that for ages).

The intention was to send the debdiff /before/ the upload, not at the
same time.

As Julien mentioned, you'll need to use a version number which hasn't
previously been seen in the archive.  You might also want to dcut the
remnants of -12, which appear to be stuck in the upload queue.

> +texlive-base (2009-12) stable; urgency=low
> +
> +  * Don't try to repair a missing pdftexconfig.tex in preinst - this is
> +    done and can only be done in postinst  (Closes: #612924)

With the version changed to 2009-11+squeeze1, please feel free to
re-upload.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Wed, 25 Apr 2012 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Wed, 25 Apr 2012 07:03:03 GMT) Full text and rfc822 format available.

Message #149 received at 612924@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 612924@bugs.debian.org
Cc: Frank Küster <frank@kuesterei.ch>, Debian Release Team <debian-release@lists.debian.org>, Thorsten Glaser <tg@mirbsd.de>
Subject: Re: Bug#612924: [stable] Possible fix for possible RC bug
Date: Wed, 25 Apr 2012 15:59:04 +0900
[Message part 1 (text/plain, inline)]
On So, 22 Apr 2012, Adam D. Barratt wrote:
> With the version changed to 2009-11+squeeze1, please feel free to
> re-upload.

I made the changes in our svn, build new packages and uploaded with
this version number.

Just for completeness I attach the real debdiff now, as the date
has changed.

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
ERIBOLL (n.)
A brown bubble of cheese containing gaseous matter which grows on
welsh rarebit. It was Sir Alexander Flemming's study of eribolls which
led, indirectly, to his discovery of the fact that he didn't like
welsh rarebit very much.
			--- Douglas Adams, The Meaning of Liff
[texlive-stable-update.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#612924; Package texlive-base. (Wed, 25 Apr 2012 18:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Wed, 25 Apr 2012 18:42:03 GMT) Full text and rfc822 format available.

Message #154 received at 612924@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Norbert Preining <preining@logic.at>
Cc: 612924@bugs.debian.org, Frank Küster <frank@kuesterei.ch>, Debian Release Team <debian-release@lists.debian.org>, Thorsten Glaser <tg@mirbsd.de>
Subject: Re: Bug#612924: [stable] Possible fix for possible RC bug
Date: Wed, 25 Apr 2012 19:38:48 +0100
On Wed, 2012-04-25 at 15:59 +0900, Norbert Preining wrote:
> On So, 22 Apr 2012, Adam D. Barratt wrote:
> > With the version changed to 2009-11+squeeze1, please feel free to
> > re-upload.
> 
> I made the changes in our svn, build new packages and uploaded with
> this version number.
> 
> Just for completeness I attach the real debdiff now, as the date
> has changed.

I've flagged the upload for acceptance in to p-u; thanks.

Regards,

Adam





Reply sent to Frank Küster <frank@debian.org>:
You have taken responsibility. (Wed, 25 Apr 2012 18:54:03 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Wed, 25 Apr 2012 18:54:03 GMT) Full text and rfc822 format available.

Message #159 received at 612924-close@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: 612924-close@bugs.debian.org
Subject: Bug#612924: fixed in texlive-base 2009-11+squeeze1
Date: Wed, 25 Apr 2012 18:51:51 +0000
Source: texlive-base
Source-Version: 2009-11+squeeze1

We believe that the bug you reported is fixed in the latest version of
texlive-base, which is due to be installed in the Debian FTP archive:

texlive-base_2009-11+squeeze1.diff.gz
  to main/t/texlive-base/texlive-base_2009-11+squeeze1.diff.gz
texlive-base_2009-11+squeeze1.dsc
  to main/t/texlive-base/texlive-base_2009-11+squeeze1.dsc
texlive-base_2009-11+squeeze1_all.deb
  to main/t/texlive-base/texlive-base_2009-11+squeeze1_all.deb
texlive-common_2009-11+squeeze1_all.deb
  to main/t/texlive-base/texlive-common_2009-11+squeeze1_all.deb
texlive-fonts-recommended-doc_2009-11+squeeze1_all.deb
  to main/t/texlive-base/texlive-fonts-recommended-doc_2009-11+squeeze1_all.deb
texlive-fonts-recommended_2009-11+squeeze1_all.deb
  to main/t/texlive-base/texlive-fonts-recommended_2009-11+squeeze1_all.deb
texlive-full_2009-11+squeeze1_all.deb
  to main/t/texlive-base/texlive-full_2009-11+squeeze1_all.deb
texlive-generic-recommended_2009-11+squeeze1_all.deb
  to main/t/texlive-base/texlive-generic-recommended_2009-11+squeeze1_all.deb
texlive-latex-base-doc_2009-11+squeeze1_all.deb
  to main/t/texlive-base/texlive-latex-base-doc_2009-11+squeeze1_all.deb
texlive-latex-base_2009-11+squeeze1_all.deb
  to main/t/texlive-base/texlive-latex-base_2009-11+squeeze1_all.deb
texlive-latex-recommended-doc_2009-11+squeeze1_all.deb
  to main/t/texlive-base/texlive-latex-recommended-doc_2009-11+squeeze1_all.deb
texlive-latex-recommended_2009-11+squeeze1_all.deb
  to main/t/texlive-base/texlive-latex-recommended_2009-11+squeeze1_all.deb
texlive-luatex_2009-11+squeeze1_all.deb
  to main/t/texlive-base/texlive-luatex_2009-11+squeeze1_all.deb
texlive-metapost-doc_2009-11+squeeze1_all.deb
  to main/t/texlive-base/texlive-metapost-doc_2009-11+squeeze1_all.deb
texlive-metapost_2009-11+squeeze1_all.deb
  to main/t/texlive-base/texlive-metapost_2009-11+squeeze1_all.deb
texlive-omega_2009-11+squeeze1_all.deb
  to main/t/texlive-base/texlive-omega_2009-11+squeeze1_all.deb
texlive-pictures-doc_2009-11+squeeze1_all.deb
  to main/t/texlive-base/texlive-pictures-doc_2009-11+squeeze1_all.deb
texlive-pictures_2009-11+squeeze1_all.deb
  to main/t/texlive-base/texlive-pictures_2009-11+squeeze1_all.deb
texlive-xetex_2009-11+squeeze1_all.deb
  to main/t/texlive-base/texlive-xetex_2009-11+squeeze1_all.deb
texlive_2009-11+squeeze1_all.deb
  to main/t/texlive-base/texlive_2009-11+squeeze1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 612924@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frank Küster <frank@debian.org> (supplier of updated texlive-base package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 25 Apr 2012 15:42:48 +0900
Source: texlive-base
Binary: texlive-base texlive-generic-recommended texlive-latex-base texlive-latex-recommended texlive-fonts-recommended texlive-pictures texlive-luatex texlive-metapost texlive-omega texlive-xetex texlive texlive-full texlive-common texlive-fonts-recommended-doc texlive-latex-base-doc texlive-latex-recommended-doc texlive-metapost-doc texlive-pictures-doc
Architecture: source all
Version: 2009-11+squeeze1
Distribution: stable
Urgency: low
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Changed-By: Frank Küster <frank@debian.org>
Description: 
 texlive    - TeX Live: A decent selection of the TeX Live packages
 texlive-base - TeX Live: Essential programs and files
 texlive-common - TeX Live: Base component
 texlive-fonts-recommended - TeX Live: Recommended fonts
 texlive-fonts-recommended-doc - TeX Live: Documentation files for texlive-fonts-recommended
 texlive-full - TeX Live: metapackage pulling in all components of TeX Live
 texlive-generic-recommended - TeX Live: Recommended generic packages
 texlive-latex-base - TeX Live: Basic LaTeX packages
 texlive-latex-base-doc - TeX Live: Documentation files for texlive-latex-base
 texlive-latex-recommended - TeX Live: LaTeX recommended packages
 texlive-latex-recommended-doc - TeX Live: Documentation files for texlive-latex-recommended
 texlive-luatex - TeX Live: LuaTeX packages
 texlive-metapost - TeX Live: MetaPost (and Metafont) drawing packages
 texlive-metapost-doc - TeX Live: Documentation files for texlive-metapost
 texlive-omega - TeX Live: Omega
 texlive-pictures - TeX Live: Graphics packages and programs
 texlive-pictures-doc - TeX Live: Documentation files for texlive-pictures
 texlive-xetex - TeX Live: XeTeX packages
Closes: 612924
Changes: 
 texlive-base (2009-11+squeeze1) stable; urgency=low
 .
   * Don't try to repair a missing pdftexconfig.tex in preinst - this is
     done and can only be done in postinst  (Closes: #612924)
Checksums-Sha1: 
 c7ea8fdaafa0ed37ead97fa3a5a5cd9eb94f0a17 1612 texlive-base_2009-11+squeeze1.dsc
 ca084c54479c4a6c053d1caed8158e32180fdc35 697751 texlive-base_2009-11+squeeze1.diff.gz
 65715e026e24432236900cc613327adf9b13e4f2 14734282 texlive-base_2009-11+squeeze1_all.deb
 9fc13b453f87a19c15b101439257d1a4ac1fbeb9 1725794 texlive-generic-recommended_2009-11+squeeze1_all.deb
 1f0ffffa3cdbfcae73494e8f71bd65e1bc679bef 1421088 texlive-latex-base_2009-11+squeeze1_all.deb
 50559ee4bcbe6e4a504f8c0cfcf72e288ebfa3ef 6765014 texlive-latex-recommended_2009-11+squeeze1_all.deb
 341eb0628918e8666b7ee53e1f337a050535dd36 7251212 texlive-fonts-recommended_2009-11+squeeze1_all.deb
 edf9e7d3af09ffe40c57c18de3cebaecdd296d05 867540 texlive-pictures_2009-11+squeeze1_all.deb
 4b2f56b5d9f71035101d3ac78430ef996d5896cc 987052 texlive-luatex_2009-11+squeeze1_all.deb
 65503c81403fb46353e87ad5f9020fbaeb14ce37 435070 texlive-metapost_2009-11+squeeze1_all.deb
 6ebc001c31aea731de252b52598374078673680e 2264356 texlive-omega_2009-11+squeeze1_all.deb
 f0e784a4bb75b0e12b1d2cff555819373ec76192 5735146 texlive-xetex_2009-11+squeeze1_all.deb
 6496833f194ed3c606ec45ebe5e249de3d677422 28320 texlive_2009-11+squeeze1_all.deb
 5cf824b802b08c8a90c1fd3f427157b863000009 28678 texlive-full_2009-11+squeeze1_all.deb
 9bb07c6630c901d47104f0f777514ac88171c620 100724 texlive-common_2009-11+squeeze1_all.deb
 e8b90536de5ccb25f716aa29e4d6a80afbdaba10 2412644 texlive-fonts-recommended-doc_2009-11+squeeze1_all.deb
 20c97dc14b7d57493cce71268f0209afadc17b0f 40768600 texlive-latex-base-doc_2009-11+squeeze1_all.deb
 29e8bca745c3ce9b49967f951cdf9e916440de4e 15450226 texlive-latex-recommended-doc_2009-11+squeeze1_all.deb
 1d0c6175aa4188f153e65d5846edd53f311d1920 9311810 texlive-metapost-doc_2009-11+squeeze1_all.deb
 09bef30ba815ca889ea75e18502ff07b36ef4ac6 11905462 texlive-pictures-doc_2009-11+squeeze1_all.deb
Checksums-Sha256: 
 26c89bde14a5b9b26ee18d30a0737168dc574d7c8c57494e45f22322a8e00f1c 1612 texlive-base_2009-11+squeeze1.dsc
 1de322a170bf0d0beb35b36c0c568bd1d0dcfc31c0e36d9ed9f235b336f5d313 697751 texlive-base_2009-11+squeeze1.diff.gz
 9881f13e9b7243aed47f68c5b2c73dfe041642c841fbf19e82286d765c1c63db 14734282 texlive-base_2009-11+squeeze1_all.deb
 1ebb484ca519652ec961724a251c51362275f7457bd8e317e35f93c1b4d76530 1725794 texlive-generic-recommended_2009-11+squeeze1_all.deb
 512580521b9ff6f73a8af7b21428667f111da95f12e1d835a60ceb68d926aea6 1421088 texlive-latex-base_2009-11+squeeze1_all.deb
 2c42704687d649e38fba0ee8452ac7dc183605a4c9a2187ef6fd05ca7c3ea1b7 6765014 texlive-latex-recommended_2009-11+squeeze1_all.deb
 4caa2e1caeffafb4fe99523f7c92b7557e6795b4f7070ee57c50b6412ac6f430 7251212 texlive-fonts-recommended_2009-11+squeeze1_all.deb
 2458c44445236bb952fce8fba319de8971a612bf993bd52bc9016f8bccbb1c76 867540 texlive-pictures_2009-11+squeeze1_all.deb
 b80b0d15a7c8a082bca5129396db04da731644889f41e75a0e1094abce6bd837 987052 texlive-luatex_2009-11+squeeze1_all.deb
 0906d407e65cc2bec7cc519dca134fa9fb61975decc09e3944aefbf23c311aca 435070 texlive-metapost_2009-11+squeeze1_all.deb
 dea17b6f6f433bae30126e537f0f260eb26e6b45f369748287db85a4cd1fb890 2264356 texlive-omega_2009-11+squeeze1_all.deb
 5916b5cdbbfa30f3b664b9fc117cf55eff479c61e4ab90602d24980d1b1ec0ba 5735146 texlive-xetex_2009-11+squeeze1_all.deb
 d21c4b830d868a8607f8fc7678355d6020df5e04816e5f715b21b2f1ded50816 28320 texlive_2009-11+squeeze1_all.deb
 ca5a245b46e2327675a5eb571f0974a86e0e287333d24856e6cec94cc0cb21b5 28678 texlive-full_2009-11+squeeze1_all.deb
 ac666bfb3145265469fcbbac4b9d0c37c906c1118f88365416dae12b7495e2b6 100724 texlive-common_2009-11+squeeze1_all.deb
 7d30a2f7f1bd921e8de392666c3487d66bce3506f4639c7a8b1a3b4893be7978 2412644 texlive-fonts-recommended-doc_2009-11+squeeze1_all.deb
 532ece1b87f70d9d47b84e67987bcca21c3fbadc97279fcf671eb6023941d256 40768600 texlive-latex-base-doc_2009-11+squeeze1_all.deb
 151821fc41e4221397159be479cf92d9b6d2b790fee12ab00d498e7f8d54ed41 15450226 texlive-latex-recommended-doc_2009-11+squeeze1_all.deb
 9995ab6d7268b34a2557506756d7b5fb47be3ec8f020699c83ab517f562e4c8a 9311810 texlive-metapost-doc_2009-11+squeeze1_all.deb
 b144df8ef9cdff0d0bd3ee70ee3dcaf2edd40816a33ea7086e1fad6cde086601 11905462 texlive-pictures-doc_2009-11+squeeze1_all.deb
Files: 
 1658ae39afb306a73c767998f14ab7d5 1612 tex optional texlive-base_2009-11+squeeze1.dsc
 2c198d503c20020a9ab6ccc66c8af347 697751 tex optional texlive-base_2009-11+squeeze1.diff.gz
 9f299f94891ee3327c9fa38accd0c120 14734282 tex optional texlive-base_2009-11+squeeze1_all.deb
 e4691c348d870affa2baa33c64c05050 1725794 tex optional texlive-generic-recommended_2009-11+squeeze1_all.deb
 8418a233b9be84231727e0dbb3695c54 1421088 tex optional texlive-latex-base_2009-11+squeeze1_all.deb
 8ee9e865ba334a2f392ec54dd8756925 6765014 tex optional texlive-latex-recommended_2009-11+squeeze1_all.deb
 16a9b1c3a41d20377814df63f08eddf3 7251212 fonts optional texlive-fonts-recommended_2009-11+squeeze1_all.deb
 ba2f55c861ab92a305353c31ecf75ed2 867540 tex optional texlive-pictures_2009-11+squeeze1_all.deb
 68891f8318d3eb0cfcc6c192f69c8aa4 987052 tex optional texlive-luatex_2009-11+squeeze1_all.deb
 7c5596571a05dc53f3088e505bb519d4 435070 tex optional texlive-metapost_2009-11+squeeze1_all.deb
 e1db32959f2aae8f3d6caf6587095161 2264356 tex optional texlive-omega_2009-11+squeeze1_all.deb
 037c70f47b4ebb035045ac895f83ec71 5735146 tex optional texlive-xetex_2009-11+squeeze1_all.deb
 52000d15d841d702f0f40be3be2d3ac6 28320 tex optional texlive_2009-11+squeeze1_all.deb
 eb0d503ab5397d9935d51d53dcacc74f 28678 tex optional texlive-full_2009-11+squeeze1_all.deb
 9aec254a7182fe1ab7b0c09c4bd2d72f 100724 tex optional texlive-common_2009-11+squeeze1_all.deb
 b17282e7894f61840ab12821dc8a534b 2412644 doc optional texlive-fonts-recommended-doc_2009-11+squeeze1_all.deb
 b45d5ce8862bbe4886d86e25c4e95e2f 40768600 doc optional texlive-latex-base-doc_2009-11+squeeze1_all.deb
 7e27fd359f9d43532907e01846c3a1d7 15450226 doc optional texlive-latex-recommended-doc_2009-11+squeeze1_all.deb
 b7dc1e322b8389a6ca6f468314649471 9311810 doc optional texlive-metapost-doc_2009-11+squeeze1_all.deb
 27ae231d4e2b039290b860f6d0ea7ad6 11905462 doc optional texlive-pictures-doc_2009-11+squeeze1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPl6AB0r9KownFsJQRAkznAJ90+Q1tZzdTlB4/xt7fjDW3HLAfYwCeOv27
LgcAabMVNvdQeeiWgJTmJ7k=
=1F5L
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 May 2012 07:35:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:24:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.